PHPExcel_Worksheet_ColumnDimension

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_ColumnDimension

    __construct(string $pIndex)

### Parameters

#### $pIndex

`string`

Character column index

## Get Auto Size

    getAutoSize() : bool

### Returns

`bool`

## Get Collapsed

    getCollapsed() : bool

### Returns

`bool`

## Get ColumnIndex

    getColumnIndex() : string

### Returns

`string`

## Get Outline Level

    getOutlineLevel() : int

### Returns

`int`

## Get Visible

    getVisible() : bool

### Returns

`bool`

## Get Width

    getWidth() : double

### Returns

`double`

## Get index to cellXf

    getXfIndex() : int

### Returns

`int`

## Set Auto Size

    setAutoSize(bool $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`bool`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set Collapsed

    setCollapsed(bool $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`bool`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set ColumnIndex

    setColumnIndex(string $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`string`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set Outline Level

    setOutlineLevel(int $pValue) : \PHPExcel_Worksheet_ColumnDimension

Value must be between 0 and 7

### Parameters

#### $pValue

`int`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set Visible

    setVisible(bool $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`bool`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set Width

    setWidth(double $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`double`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

## Set index to cellXf

    setXfIndex(int $pValue) : \PHPExcel_Worksheet_ColumnDimension

### Parameters

#### $pValue

`int`

### Returns

`\PHPExcel_Worksheet_ColumnDimension`

### Properties

##

    $_autoSize : bool

##

    $_collapsed : bool

##

    $_columnIndex : int

##

    $_outlineLevel : int

##

    $_visible : bool

##

    $_width : double

When this is set to a negative value, the column width should be ignored by IWriter

##

    $_xfIndex : int